:root {
	--color1: rgba(191, 181, 143, 1);
	--color2: rgb(210, 212, 212);

	--colorTEXTBOX: rgb(230, 230, 230);

	--colorZ: rgb(70, 70, 70);
	--zboxshadow: 1px 1px 1px rgba(0, 0, 0, 0.2);

}

/* ############################################# MOBILE FIRST */
body {
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: center;
	margin: 0;
	padding: 0;
	overflow-x: hidden;
	font-family: 'Poppins', sans-serif;
	font-size: 1.2rem;
	line-height: 1.5;
	color: rgb(51, 51, 51);
	background-color: var(--color2);
	background:
		repeating-linear-gradient(110deg,
			rgba(255, 255, 255, 0.1) 0px,
			rgba(255, 255, 255, 0.1) 2px,
			transparent 2px,
			transparent 8px),
		var(--color2);
}

.frame {
	width: 100%;
	transition: width 0.5s ease;

}

.body-content {
	width: 100%;
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: center;

}

a {
	text-decoration: none;
}

.body-footer a:hover {
	color: whitesmoke;
}

/* ############################################# LOGO */
.logo {
	width: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	margin: 4rem 0;
}

.logo img {
	width: 100%;
	height: auto;
	filter: drop-shadow(0 10px 5px rgba(0, 0, 0, 0.1));

}

/* ############################################# HEADER */
.z-container-grid {
	width: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	text-align: left;
}

.z-container {
	width: 100%;
	margin-top: 0;
	margin-bottom: 3rem;
}

.z1 {
	color: var(--colorZ);
	font-size: 1.8rem;
	font-weight: 400;
	font-style: italic;

	background-color: var(--color1);
	background: linear-gradient(300deg,
			rgba(191, 181, 143, 0) 0%,
			rgba(191, 181, 143, 1) 50%);
	margin: 0 0 0.2rem 0;
	padding: 0.2rem 1rem 0.2rem 1rem;
}

.z2 {
	color: var(--colorZ);
	font-size: 1.5rem;
	font-weight: 300;
	font-style: italic;
	line-height: 1.2;
	background-color: var(--color2);
	background: linear-gradient(300deg,
			rgba(210, 212, 212, 0) 0%,
			rgba(210, 212, 212, 1) 50%);
	margin-bottom: 0.2rem;
	margin: 0 0 0.2rem 0;
	padding: 0.4rem 1rem 0.4rem 1rem;
}

.z3 {
	color: var(--colorZ);
	font-size: 1.4rem;
	font-weight: 300;
	font-style: italic;
	line-height: 1.2;
	background-color: var(--color2);
	background: linear-gradient(300deg,
			rgba(191, 181, 143, 0) 0%,
			rgba(191, 181, 143, 1) 50%);
	margin: 0 0 0.2rem 0;
	padding: 0.4rem 1rem 0.4rem 1rem;
}

.z4 {
	color: var(--colorZ);
	font-size: 1.5rem;
	font-weight: 400;
	font-style: italic;
	background-color: var(--color1);
	background: linear-gradient(300deg,
			rgba(191, 181, 143, 1) 60%,
			rgba(191, 181, 143, 0) 100%);
	margin: 0 0 0.2rem 0;
	padding: 0.4rem 1rem 0.4rem 1rem;
	text-align: right;
}

.z5 {
	color: var(--colorZ);
	font-size: 1.2rem;
	font-weight: 400;
	background-color: var(--color2);
	background: linear-gradient(300deg,
			rgba(210, 212, 212, 1) 50%,
			rgba(210, 212, 212, 0) 100%);
	margin: 0 0 0.2rem 0;
	padding: 0.4rem 1rem 0.4rem 1rem;
	text-align: right;
}

.z5 a {
	color: var(--colorZ2);
}

.z5 a:hover {
	color: var(--color1);
}

.triangle-container {
	margin-bottom: 2rem;

}

.triangle {
	width: 0;
	height: 0;
	border-left: 20px solid transparent;
	border-right: 20px solid transparent;
	border-top: 20px solid rgba(0, 0, 0, 0.2);
	margin-bottom: 0.5rem;
}

/* ############################################# MAIN */
.text-container-grid {
	display: flex;
	flex-direction: column;
	gap: 1rem;
	hyphens: auto;

}

.text-box {
	flex: 1;
	padding: 1rem;
	box-sizing: border-box;
	background-color: var(--colorTEXTBOX);
}

/* ############################################# FOOTER */
.container-k {
	width: 100%;
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	background-color: var(--color1);
	padding: 0.5rem;
	border: 1px solid var(--color1)
}

.body-footer {
	width: 100%;
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: center;
	background-color: rgb(51, 51, 51);
	color: rgb(128, 128, 128);
}

.footer1 {
	width: 100%;
	display: grid;
	grid-template-columns: 1fr;
	flex-direction: column;
	justify-content: left;
	align-items: left;
	margin-top: 2rem;
}

.footer-box {
	width: 100%;
	padding: 1.15rem;
	box-sizing: border-box;
}

.img-webvisitenkarte {
	width: 80%;
	max-width: 500px;
	height: auto;
}

.shadow {
	filter: drop-shadow(0 4px 2px rgba(0, 0, 0, 0.6));
}

.semibold {
	font-weight: 600;
}

.footer2 {
	width: 100%;
	display: flex;
	flex-direction: column;
	justify-content: left;
	align-items: left;
	margin-bottom: 1rem;
}

.txt-footer {
	color: var(--colorFOOTER-text);
}

.txt-footer a {
	color: var(--colorFOOTER-text);
}


.txt-footer a:hover,
.txt-footer a:active {
	color: #999;
}

.kbutton {
	display: flex;
	flex-direction: row;
	justify-content: center;
	margin: 2rem 0;
	cursor: pointer;
}

.kbutton a {
	font-size: 1.5rem;
	font-weight: 400;
	color: rgb(51, 51, 51);
	animation: colorChange 8s ease-in infinite;

}

.kbutton a:hover {
		color: rgb(51, 51, 51);
	animation: none;
}

@keyframes colorChange {
	0% {
		color: rgb(51, 51, 51);
	}

	3% {
		color: rgb(191, 181, 143);
	}
	6% {
		color: rgb(51, 51, 51);
	}
	100% {
		color: rgb(51, 51, 51);
	}
}

/* ############################################################### */
@media (min-width: 768px) {

	body {
		font-size: 0.9rem;
		line-height: 1.3;
	}

	.logo {
		width: 100%;
		margin: 0;
		margin-top: 6rem;
		margin-bottom: 3rem;
	}

	.logo img {
		width: 70%;
	}

	.z-container-grid {
		width: 100%;
	}

	.z-container {
		width: 80%;
		margin-top: 0;
		margin-bottom: 3rem;
	}

	.z1 {
		font-size: 2rem;
		margin-bottom: 0.4rem;
		margin-left: 2rem;
		margin-right: 10rem;
		box-shadow:
			-1px 1px 0 rgba(255, 255, 255, 0.25),
			0 2px 0 rgba(0, 0, 0, 0.07);
	}

	.z2 {
		font-size: 1.5rem;
		margin-bottom: 0.4rem;
		margin-left: -1rem;
		margin-right: 2rem;

		padding-left: 1rem;
		padding-top: 0.2rem;
		padding-bottom: 0.2rem;
		box-shadow:
			-1px 1px 0 rgba(255, 255, 255, 0.25),
			0 2px 0 rgba(0, 0, 0, 0.07);
	}

	.z3 {
		font-size: 1.4rem;
		margin-bottom: 0.4rem;
		margin-left: 1rem;
		margin-right: 0rem;
		padding-left: 0.5rem;
		padding-top: 0.2rem;
		padding-bottom: 0.2rem;
		box-shadow:
			0 1px 0 rgba(255, 255, 255, 0.25),
			0 2px 0 rgba(0, 0, 0, 0.07);
	}

	.z4 {
		font-size: 1.5rem;
		margin-bottom: 0.4rem;
		margin-left: 4rem;
		margin-right: 2rem;
		padding-right: 1rem;
		padding-left: 0.5rem;
		padding-top: 0.2rem;
		padding-bottom: 0.2rem;
		box-shadow:
			1px 1px 0 rgba(255, 255, 255, 0.25),
			0 2px 0 rgba(0, 0, 0, 0.07);
	}

	.z5 {
		font-size: 1.2rem;
		margin-bottom: 0.4rem;
		margin-left: 8rem;
		margin-right: 1rem;
		padding-right: 0.5rem;
		padding-top: 0.1rem;
		padding-bottom: 0.1rem;
		box-shadow:
			1px 1px 0 rgba(255, 255, 255, 0.25),
			0 2px 0 rgba(0, 0, 0, 0.07);
	}

	.triangle {
		display: none;
	}

	.text-container-grid {
		flex-direction: row;
	}



	.footer1 {
		width: 100%;
		display: grid;
		grid-template-columns: 1fr 1fr 1fr;
		flex-direction: column;
		justify-content: left;
		align-items: left;
		margin-top: 2rem;
	}

	.img-webvisitenkarte {
		width: 100%;
	}

	.rechtl {
		font-size: 0.8rem;
	}

	.kbutton a {
		font-size: 0.9rem;
	}
}

@media (min-width: 900px) {
	.frame {
		width: 80%;
	}
}

@media (min-width: 1200px) {
	.frame {
		width: 70%;
	}
}
/*
@media (min-width: 1500px) {
	.frame {
		width: 60%;
	}
}*/